curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "image-depth-map-generator",
"input": {
"model": "image-depth-map",
"image": "https://example.com/my-photo.jpg"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "image-depth-map-generator",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Create depth map from an image for 3D effects and visual analysis.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "image-depth-map-generator",
"input": {
"model": "image-depth-map",
"image": "https://example.com/my-photo.jpg"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "image-depth-map-generator",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | 1 credit |
| Tool | image-depth-map-generator |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | image-depth-map-generator |
input.model | string | Yes | image-depth-map |
input.image | string | Yes | URL of the image |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "image-depth-map-generator",
"input": {
"model": "image-depth-map",
"image": "https://example.com/my-photo.jpg"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "image-depth-map-generator",
"createdAt": "2024-01-15T10:30:00.000Z"
}